#include "hk_kdedriverselect.h"
#include <qlistbox.h>
#include <qpushbutton.h>
#include <hk_drivermanager.h>



/* 
 *  Constructs a hk_kdedriverselect which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
hk_kdedriverselect::hk_kdedriverselect( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : hk_kdedriverselectbase( parent, name, modal, fl )
{
    vector<hk_string>* drv=hk_drivermanager::driverlist();
    vector<hk_string>::iterator it;
    int i=0;
    for(it=drv->begin();it!=drv->end();it++)
    {   
        connectbutton->setEnabled(true);
        driverlist->insertItem(QString::fromLocal8Bit((*it).c_str()));
        if ((*it)==hk_class::defaultdriver())
            driverlist->setCurrentItem(i);
        i++;
    }
    connectbutton->setFocus();
}

/*  
 *  Destroys the object and frees any allocated resources
 */
hk_kdedriverselect::~hk_kdedriverselect()
{
    // no need to delete child widgets, Qt does it all for us
}

void hk_kdedriverselect::list_clicked()
{
   if (driverlist->currentItem()>-1) accept();
}



